Results 1 to 8 of 8

Thread: How to install ia32-libs on openSUSE 13.1?

Hybrid View

  1. #1

    Default How to install ia32-libs on openSUSE 13.1?

    Hi guys,

    I need an application and it require ia32-libs package. But I couldn't search from both zypper and opensuse website.

    Thanks for your helps!
    Sometimes I forget to tell information about version, desktop.
    I'm using OpenSUSE 13.1, KDE 4.11

  2. #2

    Default Re: How to install ia32-libs on openSUSE 13.1?

    Quote Originally Posted by n00bvn View Post
    I need an application and it require ia32-libs package. But I couldn't search from both zypper and opensuse website.
    There is no ia32-libs package on openSUSE (that's how it is called in Ubuntu AFAIK).
    You have to install the appropriate libxxx-32bit packages instead.

    What application is this, and what 32bit libraries does it need?

    PS: To ease things, there is a 32bit Pattern.
    Click on View->Patterns in YaST->Software Management and install it. Maybe that's enough already.

  3. #3

    Default Re: How to install ia32-libs on openSUSE 13.1?

    Quote Originally Posted by wolfi323 View Post
    There is no ia32-libs package on openSUSE (that's how it is called in Ubuntu AFAIK).
    You have to install the appropriate libxxx-32bit packages instead.

    What application is this, and what 32bit libraries does it need?
    I'm trying to install Titanium Studio, an application for developing mobile application.
    Titanium 3.X - Appcelerator Docs
    In the above link, it said that "If using the 64-bit JDK, the ia32-libs package is required."

    So I do not know what exactly required libs.

    Thanks!

    PS: In YaST2, I tried Views -> Patterns, but there's no 32bit development
    Sometimes I forget to tell information about version, desktop.
    I'm using OpenSUSE 13.1, KDE 4.11

  4. #4

    Default Re: How to install ia32-libs on openSUSE 13.1?

    Quote Originally Posted by n00bvn View Post
    PS: In YaST2, I tried Views -> Patterns, but there's no 32bit development
    The pattern does exist.
    Try to install "pattern-opensuse-32bit" then (either with YaST or zypper).

    Have you tried running it (in a terminal window)?
    If a lib is missing, there should be an error message regarding that.

    Maybe that only applies to Debian/Ubuntu anyway. They do things different regarding 32bit/64bit libraries.
    AFAICS that is a java app, so it should just use the 64bit libraries if run on a 64bit JavaVM on openSUSE.

  5. #5

    Default Re: How to install ia32-libs on openSUSE 13.1?

    Quote Originally Posted by wolfi323 View Post
    The pattern does exist.
    Try to install "pattern-opensuse-32bit" then (either with YaST or zypper).

    Have you tried running it (in a terminal window)?
    If a lib is missing, there should be an error message regarding that.

    Maybe that only applies to Debian/Ubuntu anyway. They do things different regarding 32bit/64bit libraries.
    AFAICS that is a java app, so it should just use the 64bit libraries if run on a 64bit JavaVM on openSUSE.
    This is image of YaST2, like you see that there's no 32bit environment under Base Technologies
    Sometimes I forget to tell information about version, desktop.
    I'm using OpenSUSE 13.1, KDE 4.11

  6. #6

    Default Re: How to install ia32-libs on openSUSE 13.1?

    Quote Originally Posted by n00bvn View Post
    This is image of YaST2, like you see that there's no 32bit environment under Base Technologies
    I can't look right now where it should be.

    But there _is_ a "package" (it's not really a package, but is shown as one) called "patterns-openSUSE-32bit". Type that into the Search field and install it.

    Or use:
    Code:
    sudo zypper in -t pattern 32bit

  7. #7
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: How to install ia32-libs on openSUSE 13.1?

    On 2013-11-24 13:36, n00bvn wrote:

    > This is image of YaST2, like you see that there's no 32bit environment
    > under Base Technologies
    > '[image: http://thumbnails104.imagebam.com/29...290777149.jpg]'
    > (http://www.imagebam.com/image/1b1ae0290777149)


    See: susepaste

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 12.3 x86_64 "Dartmouth" at Telcontar)

  8. #8

    Default AW: Re: How to install ia32-libs on openSUSE 13.1?

    Quote Originally Posted by robin_listas View Post
    On 2013-11-24 13:36, n00bvn wrote:

    > This is image of YaST2, like you see that there's no 32bit environment
    > under Base Technologies
    > '[image: http://thumbnails104.imagebam.com/29...290777149.jpg]'
    > (ImageBam)


    See: susepaste
    Carlos, you are still on 12.3, right?

    I just had a look on my 13.1 system, and the 32bit pattern is really not shown in YaST.
    And installing it with zypper (or installing the meta package "patterns-openSUSE-32bit" with YaST) doesn't pull in any packages as well.

    @n00bv:
    So have you tried to run it in a terminal without installing any 32bit libraries?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •